org.faceless.pdf2.viewer2.feature

## Class OpenRecent

- java.lang.Object
- - org.faceless.pdf2.viewer2.ViewerFeature
  - - org.faceless.pdf2.viewer2.feature.OpenRecent

-     public class OpenRecent
      extends ViewerFeature

  This feature adds a most-recently-used menu listing the n most recently opened documents. Actuating the menu opens the associated document in the viewer. The name of this feature is OpenRecent

  This code is copyright the Big Faceless Organization. You're welcome to use, modify and distribute it in any form in your own projects, provided those projects continue to make use of the Big Faceless PDF library.

  Since:
    2.10.4

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenRecent()` Create a new "Open Recent" menu with a default number of items
    `OpenRecent(int max)` Create a new "Open Recent" menu with the specified number of items

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initialize(PDFViewer viewer)` Called when the feature is first added to a viewer
    `void` | `opened(PDFViewer viewer, File file)` This method is run by the PDFViewer when the specified file is opened.

    - ### Methods inherited from class org.faceless.pdf2.viewer2.ViewerFeature

      `getAllEnabledFeatures, getAllFeatures, getCustomJavaScript, getFeatureProperty, getFeatureURLProperty, getName, isEnabledByDefault, setFeatureName, teardown, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OpenRecent

          public OpenRecent()

      Create a new "Open Recent" menu with a default number of items

    - #### OpenRecent

          public OpenRecent(int max)

      Create a new "Open Recent" menu with the specified number of items

  - ### Method Detail

    - #### initialize

          public void initialize(PDFViewer viewer)

      Description copied from class: `ViewerFeature`
      Called when the feature is first added to a viewer
      Overrides:
        `initialize` in class `ViewerFeature`

    - #### opened

          public void opened(PDFViewer viewer,
                             File file)

      This method is run by the PDFViewer when the specified file is opened.
      Parameters:
        `viewer` - the viewer
        `file` - the File that was opened

Copyright © 2001-2015 Big Faceless Organization